:# This program may be used, executed, copied, modified and distributed
:# without royalty for the purpose of developing, using, marketing, or distributing.
:# required env variables - WAS_POLICY ZIPFILE BIN_DIR OPER_DIR

:# Setup Environment
cd /d "%~dp0"
call .\setupSamp %*
if not .%ERROR% == . goto END

:# Test if the JAX-WS Sample is installed
if not exist "%CONFIG_ROOT%\cells\%WAS_CELL%\applications\JaxWSServicesSamples.ear" goto NOTINSTALLED

:# Extract the Policy files
if "%ZIPFILE%" == "" goto DOCALL
cd "%CONFIG_ROOT%\cells\%WAS_CELL%"
jar -xf "%OPER_DIR%\lib\%ZIPFILE%"

:DOCALL
:# Call bindings.py
call "%WAS_HOME%\bin\wsadmin" %PROFOPT% -lang jython -f "%BIN_DIR%\scripts\bindings.py" attach "%WAS_POLICY%" %WAS_NODE% %WAS_CELL% %WAS_SERVER% %*
goto END

:NOTINSTALLED
echo .
echo ERROR: The JAX-WS Sample Application EAR file is not installed
echo to %USER_INSTALL_ROOT% %WAS_CELL% %WAS_NODE%
goto END

:END