@echo off
@setlocal

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS
@REM SET CONSOLE_ENCODING=-Dws.output.encoding=console

call "..\..\..\bin\setupCmdLine.bat"
rem call "..\..\..\..\..\..\bin\setupCmdLine.bat"
set ANT_ARGS=-Dbasedir="%USER_INSTALL_ROOT%\samples" -Dwas_home="%WAS_HOME%"

:setArgs
if "%1"=="" goto doneArgs
set ANT_ARGS=%ANT_ARGS% %1
shift
goto setArgs

:doneArgs
set ANTCLASSPATH="%JAVA_HOME%\lib\tools.jar";"%WAS_HOME%\plugins\com.ibm.ws.runtime.jar";"%WAS_HOME%\plugins\com.ibm.ws.runtime.dist.jar";"%WAS_HOME%\plugins\com.ibm.wsfp.main.jar";


REM Additional jars needed by PlantsByWebSphere Sample
set ANTCLASSPATH=%ANTCLASSPATH%;"%WAS_HOME%\lib\j2ee.jar";"%WAS_HOME%\plugins\com.ibm.ws.emf.jar";"%WAS_HOME%\plugins\com.ibm.ws.wccm.jar";"%WAS_HOME%\lib\bootstrap.jar";"%WAS_HOME%\plugins\com.ibm.ws.bootstrap.jar";
set ANTCLASSPATH=%ANTCLASSPATH%;"%WAS_HOME%\plugins\org.eclipse.emf.ecore.jar";"%WAS_HOME%\plugins\org.eclipse.emf.common.jar";"%WAS_HOME%\plugins\org.eclipse.emf.ecore.xmi.jar";"%WAS_HOME%\plugins\org.eclipse.equinox.common_.jar";"%WAS_HOME%\plugins\org.eclipse.equinox.registry.jar";"%WAS_HOME%\plugins\org.eclipse.core.runtime_.jar";
set ANTCLASSPATH=%ANTCLASSPATH%;"%WAS_HOME%\plugins\com.ibm.ffdc.jar";
set ANTCLASSPATH=%ANTCLASSPATH%;"%WAS_HOME%\plugins\com.ibm.ws.prereq.commons-logging.jar";
set ANTCLASSPATH=%ANTCLASSPATH%;"%WAS_HOME%\lib\commons-discovery.jar";
set ANTCLASSPATH=%ANTCLASSPATH%;"%WAS_HOME%\plugins\com.ibm.ws.prereq.wsdl4j.jar";
set ANTCLASSPATH=%ANTCLASSPATH%;"%WAS_HOME%\plugins\org.eclipse.osgi_.jar";

REM Additional classpath elements needed by PlantsByWebSphere Sample.
set ANTCLASSPATH=%ANTCLASSPATH%;"%USER_INSTALL_ROOT%\samples\bld\PlantsByWebSphere"

REM Ant requires classpath elements to exist before beginning...
call md "%USER_INSTALL_ROOT%\samples\bld\PlantsByWebSphere"

"%JAVA_HOME%\bin\java" %CONSOLE_ENCODING% -classpath %ANTCLASSPATH% org.apache.tools.ant.Main %ANT_ARGS%

@endlocal